<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>ch.dlcm</groupId>
        <artifactId>DLCM-Parent</artifactId>
        <version>3.0.0-SNAPSHOT</version>
    </parent>

    <artifactId>DLCM-Tools</artifactId>
    <name>DLCM Tools</name>
    <description>DLCM tools library</description>

    <properties>
        <!-- Mandatory property to prevent inheritance of the parent property. If not set the module
        in Sonar will be the same as the parent module -->
        <sonar.projectName>${project.name}</sonar.projectName>
    </properties>

    <dependencies>
        <!--DLCM dependencies -->
        <dependency>
            <groupId>ch.dlcm</groupId>
            <artifactId>DLCM-Model</artifactId>
            <exclusions>
                <!-- Workaround issue https://jira.spring.io/browse/SPR-16585 -->
                <!-- Can be removed with Spring Framework 5.1 -->
                <exclusion>
                    <groupId>commons-logging</groupId>
                    <artifactId>commons-logging</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
         <!--Solidify dependencies-->
        <dependency>
            <groupId>ch.unige.solidify</groupId>
            <artifactId>solidify-rest-client</artifactId>
        </dependency>
        <dependency>
            <groupId>ch.unige.solidify</groupId>
            <artifactId>solidify-bagit</artifactId>
        </dependency>
        <dependency>
            <groupId>ch.unige.solidify</groupId>
            <artifactId>solidify-xml</artifactId>
        </dependency>
        <!--Spring dependencies -->
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-config-client</artifactId>
        </dependency>
        <!--REST dependencies -->
        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpasyncclient</artifactId>
        </dependency>
        <dependency>
            <groupId>org.eclipse.jgit</groupId>
            <artifactId>org.eclipse.jgit</artifactId>
        </dependency>
        <dependency>
            <groupId>org.eclipse.jgit</groupId>
            <artifactId>org.eclipse.jgit.ssh.jsch</artifactId>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <mainClass>ch.dlcm.ToolsApplication</mainClass>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
    <ciManagement />
</project>
